Bug 171958 - audio/fluidsynth: Update to version 1.1.6
Summary: audio/fluidsynth: Update to version 1.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 19:10 UTC by tkato432
Modified: 2013-02-04 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.45 KB, patch)
2012-09-25 19:10 UTC, tkato432
no flags Details | Diff
audio_fluidsynth.diff (6.17 KB, patch)
2012-10-07 18:56 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-09-25 19:10:08 UTC
- Update to version 1.1.6

New file:
files/patch-src__drivers__fluid_oss.c

Remove file:
files/patch-src__CMakeLists.txt
Comment 1 Edwin Groothuis freebsd_committer 2012-09-25 19:10:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2012-10-07 18:56:12 UTC
Remake of the patch against current tree.
Comment 3 dfilter service freebsd_committer 2013-02-04 09:34:17 UTC
Author: miwi
Date: Mon Feb  4 09:34:00 2013
New Revision: 311590
URL: http://svnweb.freebsd.org/changeset/ports/311590

Log:
  - Update to 1.1.6
  
  PR:		171958
  Submitted by:	ports fury

Added:
  head/audio/fluidsynth/files/patch-src__drivers__fluid_oss.c   (contents, props changed)
Deleted:
  head/audio/fluidsynth/files/patch-src__CMakeLists.txt
Modified:
  head/audio/fluidsynth/Makefile   (contents, props changed)
  head/audio/fluidsynth/distinfo   (contents, props changed)
  head/audio/fluidsynth/pkg-plist   (contents, props changed)

Modified: head/audio/fluidsynth/Makefile
==============================================================================
--- head/audio/fluidsynth/Makefile	Mon Feb  4 09:21:10 2013	(r311589)
+++ head/audio/fluidsynth/Makefile	Mon Feb  4 09:34:00 2013	(r311590)
@@ -2,15 +2,14 @@
 # $FreeBSD$
 
 PORTNAME=	fluidsynth
-PORTVERSION=	1.1.5
+PORTVERSION=	1.1.6
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Real-time software synthesizer based on the SoundFont 2 specifications
 
-LICENSE=	GPLv2 # (or later)
-LICENSE_FILE=	${WRKSRC}/COPYING
+LICENSE=	LGPL20
 
 OPTIONS_DEFINE=	JACK ALSA DBUS LADSPA LASH PORTAUDIO PULSEAUDIO SNDFILE
 OPTIONS_DEFAULT=	JACK
@@ -22,28 +21,29 @@ USE_CMAKE=	yes
 CMAKE_ARGS=	-Denable-ladcca:BOOL=FALSE \
 		-Denable-midishare:BOOL=FALSE
 USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
-CFLAGS+=	${PTHREAD_CFLAGS}
-LDFLAGS+=	${PTHREAD_LIBS}
+CFLAGS+=	${PA_CFLAGS} -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	${PA_LDFLAGS} -L${LOCALBASE}/lib ${PTHREAD_LIBS}
 
 MAN1=		fluidsynth.1
 
 .include <bsd.port.pre.mk>
 
 .if ${PORT_OPTIONS:MJACK}
-LIB_DEPENDS+=	jack.0:${PORTSDIR}/audio/jack
+LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
 .else
 CMAKE_ARGS+=	-Denable-jack:BOOL=FALSE
 .endif
 
 .if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib
+LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
 .else
 CMAKE_ARGS+=	-Denable-alsa:BOOL=FALSE
 .endif
 
 .if ${PORT_OPTIONS:MDBUS}
-LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
 .else
 CMAKE_ARGS+=	-Denable-dbus:BOOL=FALSE
 .endif
@@ -64,16 +64,18 @@ CMAKE_ARGS+=	-Denable-lash:BOOL=FALSE
 BUILD_DEPENDS+=	${LOCALBASE}/include/portaudio2/portaudio.h:${PORTSDIR}/audio/portaudio2
 RUN_DEPENDS+=	${LOCALBASE}/include/portaudio2/portaudio.h:${PORTSDIR}/audio/portaudio2
 CMAKE_ARGS+=	-Denable-portaudio:BOOL=TRUE
+PA_CFLAGS=	-I${LOCALBASE}/include/portaudio2
+PA_LDFLAGS=	-L${LOCALBASE}/lib/portaudio2
 .endif
 
 .if ${PORT_OPTIONS:MPULSEAUDIO}
-LIB_DEPENDS+=	pulse.0:${PORTSDIR}/audio/pulseaudio
+LIB_DEPENDS+=	pulse:${PORTSDIR}/audio/pulseaudio
 .else
 CMAKE_ARGS+=	-Denable-pulseaudio:BOOL=FALSE
 .endif
 
 .if ${PORT_OPTIONS:MSNDFILE}
-LIB_DEPENDS+=	sndfile.1:${PORTSDIR}/audio/libsndfile
+LIB_DEPENDS+=	sndfile:${PORTSDIR}/audio/libsndfile
 .else
 CMAKE_ARGS+=	-Denable-libsndfile:BOOL=FALSE
 .endif

Modified: head/audio/fluidsynth/distinfo
==============================================================================
--- head/audio/fluidsynth/distinfo	Mon Feb  4 09:21:10 2013	(r311589)
+++ head/audio/fluidsynth/distinfo	Mon Feb  4 09:34:00 2013	(r311590)
@@ -1,2 +1,2 @@
-SHA256 (fluidsynth-1.1.5.tar.bz2) = 44b40ee28f0ed1718c924d8a175e30381431edfb9320026480d56daf7351e3f4
-SIZE (fluidsynth-1.1.5.tar.bz2) = 800195
+SHA256 (fluidsynth-1.1.6.tar.bz2) = d28b47dfbf7f8e426902ae7fa2981d821fbf84f41da9e1b85be933d2d748f601
+SIZE (fluidsynth-1.1.6.tar.bz2) = 823783

Added: head/audio/fluidsynth/files/patch-src__drivers__fluid_oss.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/fluidsynth/files/patch-src__drivers__fluid_oss.c	Mon Feb  4 09:34:00 2013	(r311590)
@@ -0,0 +1,15 @@
+--- src/drivers/fluid_oss.c.orig	2012-08-16 13:01:13.000000000 +0900
++++ src/drivers/fluid_oss.c	2012-08-18 04:12:09.000000000 +0900
+@@ -45,9 +45,9 @@
+ #define BUFFER_LENGTH 512
+ 
+ // Build issue on some systems (OSS 4.0)?
+-#ifdef SNDCTL_DSP_CHANNELS
+-  #define SOUND_PCM_WRITE_CHANNELS        SNDCTL_DSP_CHANNELS
+-#endif
++// #ifdef SNDCTL_DSP_CHANNELS
++//   #define SOUND_PCM_WRITE_CHANNELS        SNDCTL_DSP_CHANNELS
++// #endif
+ 
+ /** fluid_oss_audio_driver_t
+  *

Modified: head/audio/fluidsynth/pkg-plist
==============================================================================
--- head/audio/fluidsynth/pkg-plist	Mon Feb  4 09:21:10 2013	(r311589)
+++ head/audio/fluidsynth/pkg-plist	Mon Feb  4 09:34:00 2013	(r311590)
@@ -19,6 +19,6 @@ include/fluidsynth/version.h
 include/fluidsynth/voice.h
 lib/libfluidsynth.so
 lib/libfluidsynth.so.1
-lib/libfluidsynth.so.1.5.1
+lib/libfluidsynth.so.1.5.2
 libdata/pkgconfig/fluidsynth.pc
 @dirrm include/fluidsynth
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-02-04 09:34:55 UTC
Responsible Changed
From-To: freebsd-multimedia->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2013-02-04 09:35:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!